Skip to content
GET /workflow/{id}

Path Parameters

idstring · uuid
required
Example: a5ad71a6-05b6-4349-87c4-b31e1542a1ec

Response Body

configobject
required·

Workflow execution configuration.

run_ifstring

JSONata condition evaluated before executing workflow steps.

Example: integration.name = 'calcom'
stepsobject[]
4 properties
actionstring

Action executed by the step.

Example: run_sync_job
configstring

JSONata expression evaluated at runtime to generate the step execution payload.

Example: ( $sync_job_id := $mapValues(integration.name,{ "calcom": "51b79ace-a7b4-4077-93ba-8048a06ece2b" }); { "sync_job_id": $sync_job_id, "integrated_account_id": integrated_account_id, "webhook_id": "9fda519d-148f-4cc5-bbac-4e373b16e5d4" } )
cron_expressionstring

Optional cron expression for scheduled execution.

Example: 0 */6 * * *
typestring

Step execution type.

Example: run
Possible values:
run
created_atstring · date-time
environment_idstring · uuid
Example: 05daecaf-4365-42e8-8370-8127de5dd717
idstring · uuid
Example: 4a4de828-f4db-4c9e-adfd-434e0864c3c7
trigger_namestring
Example: integrated_account:connected
updated_atstring · date-time
curl -X GET 'https://api.truto.one/workflow/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/workflow/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/workflow/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.workflow.get('<id>');

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.workflows.get("<id>")
    print(result)

asyncio.run(main())